Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.ax25
Class DigipeatAliasRecord

    java.lang.Object
      org.ka2ddo.ax25.DigipeatAliasRecord

All Implemented Interfaces:
  java.lang.Comparable<DigipeatAliasRecord>

    public class DigipeatAliasRecord

extends java.lang.Object
implements java.lang.Comparable<DigipeatAliasRecord>

This class defines all the parameters for an alias used for digipeating.

Field Summary
`java.lang.String` | `alias`
`boolean` | `enabled`
`boolean` | `isN_N`
`boolean` | `isTraced`

Constructor Summary
`DigipeatAliasRecord()`
`DigipeatAliasRecord(java.lang.String alias, java.lang.String params)` Create a DigipeatAliasRecord using string format attributes.

Method Summary
`int` | `compareTo(DigipeatAliasRecord o)`
`boolean` | `equals(java.lang.Object obj)` Indicates whether some other object is "equal to" this one.
`java.lang.String` | `getAliasString()`
`int` | `hashCode()` Returns a hash code value for the object.
`void` | `readFromPreferences(java.util.prefs.Preferences prefs)`
`java.lang.String` | `toString()`
`void` | `writeToPreferences(java.util.prefs.Preferences prefs)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### alias

    public java.lang.String alias

### isN_N

    public boolean isN_N

### enabled

    public boolean enabled

### isTraced

    public boolean isTraced

Constructor Detail

### DigipeatAliasRecord

    public DigipeatAliasRecord()

### DigipeatAliasRecord

    public DigipeatAliasRecord(java.lang.String alias,
                               java.lang.String params)

  Create a DigipeatAliasRecord using string format attributes.

  Parameters:
    `alias` - String name of alias
    `params` - String of comma-separated boolean strings, indicating whether this is a n-N alias, the alias is enabled, and whether this alias should be traced

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Indicates whether some other object is "equal to" this one.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the reference object with which to compare.
  Returns:
    `true` if this object is the same as the obj argument; `false` otherwise.
  See Also:
    `hashCode()`

### hashCode

    public int hashCode()

  Returns a hash code value for the object. This method is supported for the benefit of hashtables such as those provided by `java.util.Hashtable`.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    a hash code value for this object.
  See Also:
    `equals(java.lang.Object)`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getAliasString

    public java.lang.String getAliasString()

### compareTo

    public int compareTo(DigipeatAliasRecord o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<DigipeatAliasRecord>`

### writeToPreferences

    public void writeToPreferences(java.util.prefs.Preferences prefs)

### readFromPreferences

    public void readFromPreferences(java.util.prefs.Preferences prefs)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD